#pragma GCC optimize("Ofast")
#include <bits/stdc++.h>

using namespace std;

const int inf = 1e9 + 7;
const int maxn = 5000 + 10;
vector<vector<int>> dp(maxn, vector<int>(maxn, -1));
const int maxk = 1600 + 10;
vector<vector<int>> lst(2, vector<int>(maxn, 0));
vector<vector<vector<int>>> next_symv(2, vector<vector<int>>(maxk, vector<int>(maxn, inf)));

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cout.precision(15);
}
